import { h } from '@stencil/core';
export class BSWCCode {
  constructor() {
    this.language = undefined;
    this.insideSection = undefined;
  }
  formatHtml(content) {
    let string = content.replaceAll('<!---->', '');
    string = string.replaceAll(' class="hydrated"', '');
    let array = string.split('> <');
    array = array.map((element, index) => {
      const isFirst = index === 0;
      const isLast = index === array.length - 1;
      let html = '';
      if (!isFirst) {
        html += '<';
      }
      html += element;
      if (!isLast) {
        html += '>';
      }
      return html;
    });
    return array;
  }
  render() {
    var _a;
    const code = this.formatHtml(this.element.innerHTML);
    return (h("div", { class: 'code ' + (this.insideSection ? 'code--example' : '') }, h("h5", { class: "code__title" }, (_a = this.language) !== null && _a !== void 0 ? _a : 'HTML'), code.map(tag => {
      return h("pre", null, h("code", null, tag.includes('bs-row') ? tag : '  ' + tag));
    })));
  }
  static get is() { return "bswc-code"; }
  static get encapsulation() { return "shadow"; }
  static get originalStyleUrls() {
    return {
      "$": ["./code.css"]
    };
  }
  static get styleUrls() {
    return {
      "$": ["code.css"]
    };
  }
  static get properties() {
    return {
      "language": {
        "type": "string",
        "mutable": false,
        "complexType": {
          "original": "string",
          "resolved": "string",
          "references": {}
        },
        "required": false,
        "optional": false,
        "docs": {
          "tags": [],
          "text": ""
        },
        "attribute": "language",
        "reflect": false
      },
      "insideSection": {
        "type": "boolean",
        "mutable": false,
        "complexType": {
          "original": "boolean",
          "resolved": "boolean",
          "references": {}
        },
        "required": false,
        "optional": false,
        "docs": {
          "tags": [],
          "text": ""
        },
        "attribute": "inside-section",
        "reflect": false
      }
    };
  }
  static get elementRef() { return "element"; }
}
//# sourceMappingURL=code.js.map
