import { proxyCustomElement, HTMLElement, h, Host } from '@stencil/core/internal/client';

const colCss = "bs-col{flex:1 0 0%}bs-col[col]{flex:0 0 auto}bs-col[col=auto]{width:auto}bs-col[col=\"1\"]{width:8.3333333333%}bs-col[col=\"2\"]{width:16.6666666667%}bs-col[col=\"3\"]{width:25%}bs-col[col=\"4\"]{width:33.3333333333%}bs-col[col=\"5\"]{width:41.6666666667%}bs-col[col=\"6\"]{width:50%}bs-col[col=\"7\"]{width:58.3333333333%}bs-col[col=\"8\"]{width:66.6666666667%}bs-col[col=\"9\"]{width:75%}bs-col[col=\"10\"]{width:83.3333333333%}bs-col[col=\"11\"]{width:91.6666666667%}bs-col[col=\"12\"]{width:100%}@media (min-width: 576px){bs-col[col-sm=\"1\"]{width:8.3333333333%}bs-col[col-sm=\"2\"]{width:16.6666666667%}bs-col[col-sm=\"3\"]{width:25%}bs-col[col-sm=\"4\"]{width:33.3333333333%}bs-col[col-sm=\"5\"]{width:41.6666666667%}bs-col[col-sm=\"6\"]{width:50%}bs-col[col-sm=\"7\"]{width:58.3333333333%}bs-col[col-sm=\"8\"]{width:66.6666666667%}bs-col[col-sm=\"9\"]{width:75%}bs-col[col-sm=\"10\"]{width:83.3333333333%}bs-col[col-sm=\"11\"]{width:91.6666666667%}bs-col[col-sm=\"12\"]{width:100%}}@media (min-width: 768px){bs-col[col-md=\"1\"]{width:8.3333333333%}bs-col[col-md=\"2\"]{width:16.6666666667%}bs-col[col-md=\"3\"]{width:25%}bs-col[col-md=\"4\"]{width:33.3333333333%}bs-col[col-md=\"5\"]{width:41.6666666667%}bs-col[col-md=\"6\"]{width:50%}bs-col[col-md=\"7\"]{width:58.3333333333%}bs-col[col-md=\"8\"]{width:66.6666666667%}bs-col[col-md=\"9\"]{width:75%}bs-col[col-md=\"10\"]{width:83.3333333333%}bs-col[col-md=\"11\"]{width:91.6666666667%}bs-col[col-md=\"12\"]{width:100%}}@media (min-width: 992px){bs-col[col-lg=\"1\"]{width:8.3333333333%}bs-col[col-lg=\"2\"]{width:16.6666666667%}bs-col[col-lg=\"3\"]{width:25%}bs-col[col-lg=\"4\"]{width:33.3333333333%}bs-col[col-lg=\"5\"]{width:41.6666666667%}bs-col[col-lg=\"6\"]{width:50%}bs-col[col-lg=\"7\"]{width:58.3333333333%}bs-col[col-lg=\"8\"]{width:66.6666666667%}bs-col[col-lg=\"9\"]{width:75%}bs-col[col-lg=\"10\"]{width:83.3333333333%}bs-col[col-lg=\"11\"]{width:91.6666666667%}bs-col[col-lg=\"12\"]{width:100%}}@media (min-width: 1200px){bs-col[col-xl=\"1\"]{width:8.3333333333%}bs-col[col-xl=\"2\"]{width:16.6666666667%}bs-col[col-xl=\"3\"]{width:25%}bs-col[col-xl=\"4\"]{width:33.3333333333%}bs-col[col-xl=\"5\"]{width:41.6666666667%}bs-col[col-xl=\"6\"]{width:50%}bs-col[col-xl=\"7\"]{width:58.3333333333%}bs-col[col-xl=\"8\"]{width:66.6666666667%}bs-col[col-xl=\"9\"]{width:75%}bs-col[col-xl=\"10\"]{width:83.3333333333%}bs-col[col-xl=\"11\"]{width:91.6666666667%}bs-col[col-xl=\"12\"]{width:100%}}@media (min-width: 1400px){bs-col[col-xxl=\"1\"]{width:8.3333333333%}bs-col[col-xxl=\"2\"]{width:16.6666666667%}bs-col[col-xxl=\"3\"]{width:25%}bs-col[col-xxl=\"4\"]{width:33.3333333333%}bs-col[col-xxl=\"5\"]{width:41.6666666667%}bs-col[col-xxl=\"6\"]{width:50%}bs-col[col-xxl=\"7\"]{width:58.3333333333%}bs-col[col-xxl=\"8\"]{width:66.6666666667%}bs-col[col-xxl=\"9\"]{width:75%}bs-col[col-xxl=\"10\"]{width:83.3333333333%}bs-col[col-xxl=\"11\"]{width:91.6666666667%}bs-col[col-xxl=\"12\"]{width:100%}}bs-col[order=first]{order:-1 !important}bs-col[order=\"0\"]{order:0 !important}bs-col[order=\"1\"]{order:1 !important}bs-col[order=\"2\"]{order:2 !important}bs-col[order=\"3\"]{order:3 !important}bs-col[order=\"4\"]{order:4 !important}bs-col[order=\"5\"]{order:5 !important}bs-col[order=last]{order:6 !important}bs-col[align=auto]{align-self:auto !important}bs-col[align=start]{align-self:flex-start !important}bs-col[align=end]{align-self:flex-end !important}bs-col[align=center]{align-self:center !important}bs-col[align=baseline]{align-self:baseline !important}bs-col[align=stretch]{align-self:stretch !important}";

const BSCol = /*@__PURE__*/ proxyCustomElement(class BSCol extends HTMLElement {
  constructor() {
    super();
    this.__registerHost();
    this.name = undefined;
  }
  render() {
    return (h(Host, null, h("slot", null)));
  }
  static get style() { return colCss; }
}, [4, "bs-col", {
    "name": [1]
  }]);
function defineCustomElement$1() {
  if (typeof customElements === "undefined") {
    return;
  }
  const components = ["bs-col"];
  components.forEach(tagName => { switch (tagName) {
    case "bs-col":
      if (!customElements.get(tagName)) {
        customElements.define(tagName, BSCol);
      }
      break;
  } });
}

const BsCol = BSCol;
const defineCustomElement = defineCustomElement$1;

export { BsCol, defineCustomElement };

//# sourceMappingURL=bs-col.js.map